Package: org.codehaus.groovy.grails.domain

## [Java] Class GrailsDomainClassMappingContext

- org.codehaus.groovy.grails.domain.GrailsDomainClassMappingContext

- A MappingContext that adapts the Grails domain model to the Mapping API.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.grails.datastore.mapping.model.AbstractMappingContext` | `GROOVY_PROXY_FACTORY_NAME, JAVASIST_PROXY_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsDomainClassMappingContext (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.grails.datastore.mapping.model.PersistentEntity` | `createPersistentEntity(java.lang.Class javaClass)`
    `GrailsApplication` | `getGrailsApplication()`
    `org.grails.datastore.mapping.model.MappingFactory` | `getMappingFactory()`
    `org.grails.datastore.mapping.model.MappingConfigurationStrategy` | `getMappingSyntaxStrategy()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.grails.datastore.mapping.model.AbstractMappingContext` | `org.grails.datastore.mapping.model.AbstractMappingContext#initialize(), org.grails.datastore.mapping.model.AbstractMappingContext#isInitialized(), org.grails.datastore.mapping.model.AbstractMappingContext#isInInheritanceHierarchy(org.grails.datastore.mapping.model.PersistentEntity), org.grails.datastore.mapping.model.AbstractMappingContext#getPersistentEntity(java.lang.String), org.grails.datastore.mapping.model.AbstractMappingContext#getPersistentEntities(), org.grails.datastore.mapping.model.AbstractMappingContext#getChildEntityByDiscriminator(org.grails.datastore.mapping.model.PersistentEntity, java.lang.String), org.grails.datastore.mapping.model.AbstractMappingContext#addPersistentEntities([Ljava.lang.Class;), org.grails.datastore.mapping.model.AbstractMappingContext#addPersistentEntity(java.lang.Class, boolean), org.grails.datastore.mapping.model.AbstractMappingContext#addPersistentEntity(java.lang.Class), org.grails.datastore.mapping.model.AbstractMappingContext#addExternalPersistentEntity(java.lang.Class), org.grails.datastore.mapping.model.AbstractMappingContext#addEntityValidator(org.grails.datastore.mapping.model.PersistentEntity, org.springframework.validation.Validator), org.grails.datastore.mapping.model.AbstractMappingContext#addTypeConverter(org.springframework.core.convert.converter.Converter), org.grails.datastore.mapping.model.AbstractMappingContext#getConverterRegistry(), org.grails.datastore.mapping.model.AbstractMappingContext#getEntityValidator(org.grails.datastore.mapping.model.PersistentEntity), org.grails.datastore.mapping.model.AbstractMappingContext#getMappingFactory(), org.grails.datastore.mapping.model.AbstractMappingContext#isPersistentEntity(java.lang.Class), org.grails.datastore.mapping.model.AbstractMappingContext#isPersistentEntity(java.lang.Object), org.grails.datastore.mapping.model.AbstractMappingContext#getProxyFactory(), org.grails.datastore.mapping.model.AbstractMappingContext#setProxyFactory(org.grails.datastore.mapping.proxy.ProxyFactory), org.grails.datastore.mapping.model.AbstractMappingContext#addMappingContextListener(org.grails.datastore.mapping.model.MappingContext$Listener), org.grails.datastore.mapping.model.AbstractMappingContext#createEmbeddedEntity(java.lang.Class), org.grails.datastore.mapping.model.AbstractMappingContext#getConversionService(), org.grails.datastore.mapping.model.AbstractMappingContext#setCanInitializeEntities(boolean), org.grails.datastore.mapping.model.AbstractMappingContext#wait(long, int), org.grails.datastore.mapping.model.AbstractMappingContext#wait(long), org.grails.datastore.mapping.model.AbstractMappingContext#wait(), org.grails.datastore.mapping.model.AbstractMappingContext#equals(java.lang.Object), org.grails.datastore.mapping.model.AbstractMappingContext#toString(), org.grails.datastore.mapping.model.AbstractMappingContext#hashCode(), org.grails.datastore.mapping.model.AbstractMappingContext#getClass(), org.grails.datastore.mapping.model.AbstractMappingContext#notify(), org.grails.datastore.mapping.model.AbstractMappingContext#notifyAll(), org.grails.datastore.mapping.model.AbstractMappingContext#getMappingSyntaxStrategy()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsDomainClassMappingContext(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override protected org.grails.datastore.mapping.model.PersistentEntity createPersistentEntity(java.lang.Class javaClass)

    - #### public GrailsApplication getGrailsApplication()

    - #### @java.lang.Override public org.grails.datastore.mapping.model.MappingFactory getMappingFactory()

    - #### public org.grails.datastore.mapping.model.MappingConfigurationStrategy getMappingSyntaxStrategy()